<?php
session_start();
use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\Exception;

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
set_time_limit(3000);
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
$accion=$_REQUEST["accion"];
$detalle=$_REQUEST["detalle"];
$fechaUtil=$_REQUEST["fecha"];
$nominaUtil=$_REQUEST["nomina"];
$usuario = $_SESSION['usuario_validar'];
$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

//=============================================================================== grabar cierre de utilidades
if ($accion==2 ) {
	$query = "delete from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' AND fecha='".$fechaUtil."' AND nomina='".$nominaUtil."'  ";
	$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
}

if ($accion==3 ) {
	//Busco el tipo de nÃ³mina de las utilidades guardadas

	$consultaNomina = "select nomina from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' ";
	$resultadoNom = mysqli_query($enlace,$consultaNomina) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$rowNom = mysqli_fetch_array($resultadoNom);
	if($rowNom['nomina']==100){

	$nominaUt = "Diaria";
	}
	else if ($rowNom['nomina']==200){
		$nominaUt = "Mensual";
	}
	
				//EnvÃ­a correo
			
		
		//Para el correo desde aqui parametros y varibles generales 
		require 'hcm_files/PHPMailer/src/Exception.php';
		require 'hcm_files/PHPMailer/src/PHPMailer.php';
		require 'hcm_files/PHPMailer/src/SMTP.php';
		
		$mail = new PHPMailer(true);
		 //Servidor de correo configuracion
			 //$mail->SMTPDebug = 2; //Enable verbose debug output
			 $mail->isSMTP(); // Set mailer to use SMTP
			 $mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			 $mail->SMTPAuth = true; // Enable SMTP authentication
			 $mail->Username = 'info@saireh-nomina.com'; // SMTP username
			 $mail->Password = 'c0n5ul74rh3'; // SMTP password
			 $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			 $mail->Port = 465; // TCP port to connect to
			 ///envio de correos hasta aqui
		
	if ($usuario == 'GSAYAGO1' || $usuario == 'JSANCH32') {
	$queryAp = "update  utilidades set aprobacion_contab1='Aprobado' where id='".$_SESSION['id_validar']."' and detalle='".$detalle."'";
	$consultaAp = mysqli_query($enlace,$queryAp) or die ("no se pudo realizar la consulta...");
	
			//Enviar correo a Supervisor y RRHH
			
			//Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			 //$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			 $mail->addAddress('GSAYAGO1@FORD.COM');///Una linea pro cada destinatario
			 $mail->addAddress('JSANCH32@FORD.COM');
			 $mail->addAddress('MCALLES1@FORD.COM'); 			 
			 $mail->addAddress('GPROCOPI@FORD.COM'); 
			 $mail->addCC('NOMINA.FORD@SAIREH.COM');
			 //$mail->addCC('contrerasrgerardo@gmail.com');
		
			$asunto = 'Aprobacion de Utilidades de nomina: '.$nominaUt ;
			$mensaje = $nombre_usuario . ' ha APROBADO las utilidades  del periodo '.$detalle.' de la nomina '.$nominaUt.' en SAIREH, se requiere ahora de su revisiÃ³n y aprobaciÃ³n de este proceso para confimar y completar su procesamiento.';

			// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensaje;
			 $mail->AltBody = $mensaje;
			
			$mail->send();
	}
	elseif ($usuario == 'MCALLES1' || $usuario == 'GPROCOPI') {
	$queryAp = "update  utilidades set aprobacion_contab2='Aprobado' where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' AND aprobacion_contab1='Aprobado'";
	$consultaAp = mysqli_query($enlace,$queryAp) or die ("no se pudo realizar la consulta...");

				//EnvÃ­a correo
			//Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			 //$mail->addAddress('GSAYAGO1@FORD.COM','Gustavo Sayago'); S epuede personalizar el nombre de ldestiantario
			 $mail->addAddress('GSAYAGO1@FORD.COM');///Una linea pro cada destinatario
			 $mail->addAddress('JSANCH32@FORD.COM');
			 $mail->addAddress('MCALLES1@FORD.COM'); 			 
			 $mail->addAddress('GPROCOPI@FORD.COM'); 
			 $mail->addCC('NOMINA.FORD@SAIREH.COM');
			 //$mail->addCC('contrerasrgerardo@gmail.com');

			//Enviar correo a Supervisor y RRHH
			
			$asunto = 'Aprobacion de Utilidades de nomina: '.$nominaUt ;
			$mensaje = $nombre_usuario . ' ha APROBADO las utilidades  del periodo '.$detalle.' de la nomina ' .$nominaUt.' en SAIREH para su pago.';
			
			// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensaje;
			 $mail->AltBody = $mensaje;
			
			$mail->send();

	}

		
    }




menu();

echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='img2/icono_07.png' alt='Elimina'>:Eliminar Item
&nbsp;&nbsp;<img border = 0 src='img2/apuntes.png' alt='Imprimir'>:Imprimir Resumen
&nbsp;&nbsp;<img border = 0 src='img2/icono_02.png' alt='Imprimir'>:Imprimir Recibos
</font><hr>";

echo "<center><br><h2>Reportes de C&aacute;lculos de Utilidades Anuales</h2></center>";
$entra=0;

echo "
	<br><form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
	<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
	<input type='hidden' name='bandera' value = '1'>
	<table align='center'>";

			echo "<tr >";
				echo "<td align = 'righta' > Fecha del Pago: </td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fecha","entrada",$valor);
				echo "</td>";
			echo "</tr>";

			$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
			$resultado = mysqli_num_rows($consulta);
			echo "<tr><td align = 'righta'> N&oacute;mina: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'nomina'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td></tr>";

			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";

			echo "<tr >";
			*/
				echo "<td align = 'righta' > Fec/Ingreso Trabajador: </td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fecing","entrada",$valor);
				echo "</td>";
			echo "</tr>";

			echo "<tr><td align='righta'>Descripci&oacute;n:</td>";
			echo "<td align='left'><input style='width:300px;' name='detalle' size = '35' maxlength = '50' value='Periodo: 01-01-".(date("Y")." al 31-12-".date("Y"))."'></td></tr>";
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:30px; width:200px' value='Generar y Guardar'>";
			echo "</td></tr>";
			echo "</table></form></font>";

if ($_POST['bandera']=='1') {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////

		$fecha = crear_fecha($_POST['fecha']);
		$query = "select * from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."' and nomina='".substr($_POST['nomina'],0,3)."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
		if (mysqli_num_rows($consulta)!=0) {
			$mensaje = "Detalle existe en Historico de Utilidades Guardadas...Verifique";
			echo "<center><font style='color:red; font-size:1em;' face='Verdana' ><b>".$mensaje."</b></font></center>";
			exit();
		}
		/////////////////////////////////////////////// imprimir PAYROLL
		$payroll="z_".trim($_SESSION['usuario_validar']).trim($_SESSION['id_validar']);
		$consulta=mysqli_query($enlace,"create table if not exists `".$payroll."` (
					  `cedula` varchar(8) NOT NULL,
					  `concepto` varchar(4) NOT NULL,
					  `desconcepto` varchar(50) NOT NULL,
					  `tipo` varchar(1) NOT NULL,
					  `monto` decimal(18,2) NOT NULL,
					  `saldo` decimal(18,2) NOT NULL,
					  `cantidad` decimal(18,2) NOT NULL,
					  `nomina` varchar(3) NOT NULL,
					  `desnomina` varchar(50) NOT NULL,
					  `periodo` varchar(3) NOT NULL,
					  `desperiodo` varchar(50) NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
		$consulta=mysqli_query($enlace,"delete from `".$payroll."`");

		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$duti=$row['duti'];
			$ince=$row['ince'];
			$gerencia=$row['gerencia'];
		}

		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';$cortededu=0;$cortepdvsa=0;
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$cortededu=($row['deduccion']=='2'?1:0);
			$periodo=$row['periodo'];
			$lunes=$row['lunes'];
			$desperiodo=$row['desde'].' al '.$row['hasta'];
		}

		$fing = crear_fecha($_POST['fecing']);
		$query="where id='".$_SESSION['id_validar']."' and (status<>'I') and fechai<='".$fing."' ";
		if ($_POST['nomina']!="") $query.=" and nomina='".substr($_POST['nomina'],0,3)."' ";
		if ($_POST['cedula']!="") $query.=" and codigo='".$_POST['cedula']."' ";
		if ($_POST['gerencia']!="") $query.=" and gerencia='".substr($_POST['gerencia'],0,4)."' ";
		if ($_POST['division']!="") $query.=" and division='".substr($_POST['division'],0,4)."' ";
		if ($_POST['departamento']!="") $query.=" and departamento='".substr($_POST['departamento'],0,4)."' ";
		$queryinicial="select * from personal ".$query." order by codigo";

		//========================================================//
		//========================================================//
		//========================================================//
		$_POST['tipoproceso']=2;
		include("proceso_formula.php");
		//========================================================//
		//========================================================//
		//========================================================//

		/////////////////////////////////////////////// filtros de eliminacion INDIVIDUAL
		$query="select * from concepto_empleado where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where cedula='".$rowemp['cedula']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto individual
		/////////////////////////////////////////////// filtros de eliminacion NOMINA
		$query="select * from concepto_nomina where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where nomina='".$rowemp['nomina']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto nomina
		/////////////////////////////////////////////// filtros de eliminacion PERIODO
		$query="select * from concepto_periodo where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where periodo='".$rowemp['periodo']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto periodo

		/////////////////////////////////////////////// filtros de eliminacion POR MONTO = 0
		$query="delete from $payroll where monto=0";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		/////////////////////////////////////////////// filtros de eliminacion POR CONDICION
		$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
		while ($rowp = mysqli_fetch_array($qpersonal)) {
			$query="select * from concepto_condicion where id='".$_SESSION['id_validar']."' order by codigo";
			$qcondicion = mysqli_query($enlace,$query) or die ($query);
			while ($rowcondicion=mysqli_fetch_array($qcondicion)) {
				if (substr($rowcondicion['valor1'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor1'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto1=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto1=$rowvalor['monto'];
					}
				} else $monto1 = $rowcondicion['valor1']+0;
				if (substr($rowcondicion['valor2'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor2'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto2=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto2=$rowvalor['monto'];
					}
				} else $monto2 = $rowcondicion['valor2']+0;
				$elimina=0;

				//if (trim($rowcondicion['codigo'])=='C8000' || trim($rowcondicion['codigo'])=='C8001') {
				//	echo $monto1."-->".$monto2;
				//}

				if ($rowcondicion['condicion']=='=') $elimina=($monto1==$monto2)?1:0;
				if ($rowcondicion['condicion']=='<') $elimina=($monto1<$monto2)?1:0;
				if ($rowcondicion['condicion']=='>') $elimina=($monto1>$monto2)?1:0;
				if ($rowcondicion['condicion']=='>=') $elimina=($monto1>=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<=') $elimina=($monto1<=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<>') $elimina=($monto1!=$monto2)?1:0;
				if ($elimina == 1) {
					$query="delete from $payroll where cedula='".$rowp['codigo']."' and concepto = '".$rowcondicion['codigo']."'";
					$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				}
				} // fin ciclo de concepto condicion
		}
		/////////////////////////////////////////////// filtros de eliminacion POR SOLO UTILIDADES
		$query="select codigo,acumula from concepto where id='".$_SESSION['id_validar']."'  ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			if (trim($rowemp['acumula'])=='NO') {
				$query="delete from $payroll where concepto = '".$rowemp['codigo']."'";
				$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
			}
		} // fin ciclo de concepto periodo


		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$periodo=$row['periodo'];
			$_POST['cierre']=$row['pre'];
			$desperiodo=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta']);
		}
		/////////////////////////////////////////////// filtros de eliminacion POR TIPOR DE CONCEPTO = REPORTE
		//$query="delete from $payroll where tipo='R'";
		//$qempleado = mysqli_query($enlace,$query) or die ($query);
		$_POST['cierre']==1;

		/////////////////////////////////////////////// imprimir PAYROLL
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['empresal']=$row['nombre'];
			$_POST['ince']=$row['ince'];
			$_POST['pie']=$row['pie'];
			$_POST['derecho']=$row['derecho'];
			$_POST['encabeza']=$row['encabeza'];
			$duti=$row['duti'];
			$_POST['empresa']=substr($_POST['nomina'],6,100);
		}
		$_POST['periodo']=$periodo.' - '.$desperiodo;

		//======================================================================== grabar
		//======================================================================== grabar
		//======================================================================== grabar
		$consulta=mysqli_query($enlace,"select * from $payroll order by cedula"  );
		while($row=mysqli_fetch_array($consulta)) {
			$tcedula=$row['cedula'];
			$tdep=''; $tdiv=''; $tger='';
			$consul1=mysqli_query($enlace,"select nombres,apellidos,sso,gerencia,departamento,division from personal where id='".$_SESSION['id_validar']."' and codigo=".$tcedula );
			if (mysqli_num_rows($consul1)<>0) {
				$row1=mysqli_fetch_array($consul1);
				$tdep=$row1['departamento'];
				$tdiv=$row1['division'];
				$tger=$row1['gerencia'];
			}
			$consul1  ="insert into utilidades (id, cedula,fecha,detalle,nomina, departamento,gerencia,division,tipo,concepto,desconcepto,cantidad,monto) ";
			$consul1 .="values ('".$_SESSION['id_validar']."','".$tcedula."','".$fecha."','".$_POST['detalle']."','".$row['nomina']."',

			'".$tdep."','".$tger."','".$tdiv."','".$row['tipo']."','".$row['concepto']."','".$row['desconcepto']."','".$row['cantidad']."','".$row['monto']."')";
			mysqli_query($enlace,$consul1) or die ($consul1.mysqli_error($enlace));
		}
		$mensaje = "Cierre Efectuado...";

} // fin de ingreso

		echo "<h3><font color='red'><center> AtenciÃ³n!!!</center></font></h3>";
		echo "<h4><center> El orden de los procesos de Utilidades en este informe ha cambiado, los encontrarÃ¡ desde el mÃ¡s reciente al mÃ¡s antiguo y separado por tipo de nÃ³mina.</center></h4>";

/////vamos a separar este informe en vista por tipo de nÃ³mina -- Miguelangel 09/02/2023
////// Inicia para nÃ³mina Diaria
$consulta="select distinct fecha, aprobacion_contab1, aprobacion_contab2, detalle, nomina from utilidades where id='".$_SESSION['id_validar']."' AND nomina = 100 order by fecha DESC";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		$total=0;$linea=0;
		
		echo "<br><table border=1 cellpadding=2 cellspacing=0 align='center'>";
		
		echo "<tr align='center' bgcolor='#36C1E2'>";
		echo "<th  colspan=9 ali = center><font face='verdana' size=2> NOMINA DIARIA (nom:100)</font></th>";
		echo "</tr>";
		
		echo "<tr bgcolor='#00BFFF' >";
		echo "<th ali = center><font face='verdana' size=2> #</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Fecha de Pago</font></th>";
		echo "<th ali = center><font face='verdana' size=2> NÃ³mina</font></th>";

		echo "<th ali = center><font face='verdana' size=2> Detalle</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 1</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 2</font></th>";

		echo "<th colspan=4 ali = center><font face='verdana' size=2> Acci&oacute;n </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) echo '<tr bgcolor="#f6f6f6" >';
				else echo '<tr bgcolor="#D8D8D8">';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";


				if ($row['nomina']==100)
				{
				$nominaUt='Diaria';
				}
				elseif ($row['nomina']==200){
				$nominaUt='Mensual';
				}

				echo "<td width='20'>".$nominaUt."</td>";
				echo "<td width='350'>".$row['detalle']."</td>";


				if ($row['aprobacion_contab1']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if ($row['aprobacion_contab2']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&detalle=".$row['detalle']."&nomina=".$row['nomina']."&fecha=".$row['fecha']."'><img  border = 0  src='img2/icono_07.png'alt='eliminar Ã©ste registro' ></a></td>";
				else echo "<td width='30' align='center'>&nbsp;</td>";

				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_resumen.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/apuntes.png' alt='Imprimir Ã©ste registro'></a></td>";
				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_recibo.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/icono_02.png' alt='Imprimir Ã©ste registro'></a></td>";


				if ($row['aprobacion_contab2']!='Aprobado' && ($_SESSION['usuario_validar'] == 'GSAYAGO1' || $_SESSION['usuario_validar'] == 'JSANCH32' || $_SESSION['usuario_validar'] == 'MCALLES1' || $_SESSION['usuario_validar'] == 'GPROCOPI' ))
				{
				echo "<td width='30' align='center'><a onclick='return validar_aprueba()' href='".$_SERVER['PHP_SELF']."?accion=3&detalle=".$row['detalle']."'><font color=blue><b>Aprobar</b></font></font></a></td>";
				}


				echo '</tr>';
			}
		echo '</tr></table></form>';


}

//////////Fin de nomina diaria

////////////Inicia nomina Mensual
$consulta="select distinct fecha, aprobacion_contab1, aprobacion_contab2, detalle, nomina from utilidades where id='".$_SESSION['id_validar']."' AND nomina = 200 order by fecha DESC";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		$total=0;$linea=0;
		echo "<br><table border=1 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr align='center' bgcolor='#36C1E2'>";
		echo "<th  colspan=9 ali = center><font face='verdana' size=2> NOMINA MENSUAL (nom:200)</font></th>";
		echo "</tr>";
		echo "<tr bgcolor='#00BFFF' >";
		echo "<th ali = center><font face='verdana' size=2> #</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Fecha de Pago</font></th>";
		echo "<th ali = center><font face='verdana' size=2> NÃ³mina</font></th>";

		echo "<th ali = center><font face='verdana' size=2> Detalle</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 1</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aprobado Contab 2</font></th>";

		echo "<th colspan=4 ali = center><font face='verdana' size=2> Acci&oacute;n </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) echo '<tr bgcolor="#f6f6f6" >';
				else echo '<tr bgcolor="#D8D8D8">';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";


				if ($row['nomina']==100)
				{
				$nominaUt='Diaria';
				}
				elseif ($row['nomina']==200){
				$nominaUt='Mensual';
				}

				echo "<td width='20'>".$nominaUt."</td>";
				echo "<td width='350'>".$row['detalle']."</td>";


				if ($row['aprobacion_contab1']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if ($row['aprobacion_contab2']=='Aprobado')
				{
					echo "<td width='20' align='center'><img src=img2/status_ver.png></td>";
					} else  echo "<td></td>";

				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&detalle=".$row['detalle']."&nomina=".$row['nomina']."&fecha=".$row['fecha']."'><img  border = 0  src='img2/icono_07.png'alt='eliminar Ã©ste registro' ></a></td>";
				else echo "<td width='30' align='center'>&nbsp;</td>";

				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_resumen.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/apuntes.png' alt='Imprimir Ã©ste registro'></a></td>";
				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_recibo.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/icono_02.png' alt='Imprimir Ã©ste registro'></a></td>";


				if ($row['aprobacion_contab2']!='Aprobado' && ($_SESSION['usuario_validar'] == 'GSAYAGO1' || $_SESSION['usuario_validar'] == 'JSANCH32' || $_SESSION['usuario_validar'] == 'MCALLES1' || $_SESSION['usuario_validar'] == 'GPROCOPI' ))
				{
				echo "<td width='30' align='center'><a onclick='return validar_aprueba()' href='".$_SERVER['PHP_SELF']."?accion=3&detalle=".$row['detalle']."'><font color=blue><b>Aprobar</b></font></font></a></td>";
				}


				echo '</tr>';
			}
		echo '</tr></table></form>';


}

//////////Fin nomina mensual
mysqli_free_result($resultado);

?>
